# BEGIN SourceDeps(oneline):
BuildRequires: perl(AutoLoader.pm) perl(Test.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Unix-Statgrab
Version:        0.04
Release:        alt2_18
Summary:        Perl extension for collecting information about the machine
License:        LGPLv2+
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Unix-Statgrab/
Source0:        http://www.cpan.org/authors/id/V/VP/VPARSEVAL/Unix-Statgrab-%{version}.tar.gz
Patch0:			Unix-Statgrab-0.04-fixedtest.patch
BuildRequires:  libstatgrab-devel >= 0.12
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
Source44: import.info

%description
Unix::Statgrab is a wrapper for libstatgrab as available from
<http://www.i-scream.org/libstatgrab/>. It is a reasonably portable attempt
to query interesting stats about your computer. It covers information on the
operating system, CPU, memory usage, network interfaces, hard-disks etc. 

%prep
%setup -q -n Unix-Statgrab-%{version}
%patch0 -p1 -b .fixedtest

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Unix*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt2_18
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.04-alt2_17
- rebuild with new perl

* Mon Aug 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_17
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_13
- fc import

